#!/bin/sh
#set -x
VA_VERSION="am-3.5.3"
ES_VERSION="0.9.20"
if [ ! -d /usr/local/src/vdradmin-$VA_VERSION ] ; then
   if [ ! -f /_config/update/gettext-1.05.tar.gz ] ; then
      cd /_config/update
      wget http://www.cpan.org/authors/id/P/PV/PVANDRY/gettext-1.05.tar.gz
      cd /tmp
      tar -xzvf /_config/update/gettext-1.05.tar.gz
      cd gettext-1.05
      perl ./Makefile.PL
      make 
      make install
   fi   
   cd /tmp
   [ ! -f vdradmin-$VA_VERSION.tar.bz2 ] && wget http://andreas.vdr-developer.org/download/vdradmin-$VA_VERSION.tar.bz2
   if [ -f vdradmin-$VA_VERSION.tar.bz2 ] ; then
      cd /usr/local/src
      tar -xjvf /tmp/vdradmin-$VA_VERSION.tar.bz2
      rm vdradmin
      ln -s vdradmin-$VA_VERSION vdradmin
      cp /_config/update/vdradmind.conf.$VA_VERSION /usr/local/src/vdradmin/vdradmind.conf
   fi      
fi  

if [ ! -d /usr/local/src/VDR/PLUGINS/src/epgsearch-$ES_VERSION ] ; then
   /etc/init.d/vdr stop
   [ ! -d /etc/vdr/plugins/epgsearch ]  && mkdir /etc/vdr/plugins/epgsearch
   [ -f /etc/vdr/plugins/epgsearch.conf ] && mv --reply=no /etc/vdr/plugins/epgsearch.conf /etc/vdr/plugins/epgsearch/
   [ -f /etc/vdr/plugins/epgsearchswitchtimers.conf ] && mv --reply=noc /etc/vdr/plugins/epgsearchswitchtimers.conf /etc/vdr/plugins/epgsearch/
   cd /tmp
   [ ! -f vdr-epgsearch-$ES_VERSION.tgz ] && wget http://people.freenet.de/cwieninger/vdr-epgsearch-$ES_VERSION.tgz
   if [ -f vdr-epgsearch-$ES_VERSION.tgz ] ; then
      /_config/bin/instplg.sh vdr-epgsearch-$ES_VERSION.tgz
      if [ -f /tmp/g2v_vdrepgsearch.diff ] ; then
         cd /usr/local/src/VDR/PLUGINS/src/epgsearch-$ES_VERSION
         patch -f < /tmp/g2v_vdrepgsearch.diff
         make all
      fi
      /etc/init.d/vdr start
   fi      
fi
